/************************************************************************/
/*  TP GPU - GLSL Ensimag 3A                                            */
/*  Sbastien Barbier - EVASION                                         */
/*	janvier 2009														*/
/************************************************************************/

#ifndef _GLOBALOPTIONS_H_
#define _GLOBALOPTIONS_H_

typedef enum e_action {ROTATE, ROTATE_END, TRANSLATE, TRANSLATE_END, ZOOM, ZOOM_END} t_action;

typedef struct s_global{

  float             ortho[6];
  float             current_quat[4];
  float             last_quat[4];
  float             M_modelView[4][4];
  float             translation[3];
  float             origin[3];
  t_action          action;
  double            maxRange;
  double            step;
  float             BB[6];
  char              bounding_box;
  char              vertices;
  char              faces;
  char				edges;

} global;

#endif