/************************************************************************/
/*  TP GPU - GLSL Ensimag 3A                                            */
/*  Sbastien Barbier - EVASION                                         */
/*	janvier 2009														*/
/************************************************************************/

#ifndef _STRUCTURE_H_
#define _STRUCTURE_H_

#define SPACEDIM 3

/*
 structures de base pour laffichage et la recherche dans les maillages
*/

/* Fine Vertex
*/
typedef struct s_Vertex{
           float V[SPACEDIM];  /* coordinates of the vertex */
} Vertex;

/* Coarse Vertex
*/

/* Fine Faces
*/
typedef struct s_Face{
           int V[SPACEDIM];       /* indices of the three vertices */
           int F[SPACEDIM];       /* indices of the three neighbouring faces */
} Face;

#endif